angular.module('beamng.apps')
.directive('adjustableSlowMotion', ['bngApi', function (bngApi) {
  return {
	template:
	  '<div class="bngApp">' +
	    '<h2 align="center" id="slowmoCount">100%<h2>' +
	    '<md-slider flex step=1 min=1 max=100 ng-model="slowmoslide" aria-label="_" style="padding: 0 5px"></md-slider>' +
	  '</div>',
    replace: true,
    restrict: 'EA',
	controller: ['$scope', function ($scope) {
		$scope.slowmoslide = 100; //Set initial value to 100%
}],
	
    link: function (scope, element, attrs) {  
	  scope.$watch('slowmoslide', function (newVal, oldVal) {
		  document.getElementById("slowmoCount").innerHTML = newVal + "%";
		  bngApi.engineLua( 'bullettime.set('+ (newVal.toString()/100) + ')' );
	  });
    }
  }
}])